Inboxes

View as Markdown

Delete Inbox

DELETE
/human/v0/inboxes/{inbox_id}

Path Parameters

inbox_id*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

curl -X DELETE "https://api.agentry.to/human/v0/inboxes/string" \  -H "Authorization: string"
Empty

List Inboxes

GET
/human/v0/inboxes

Query Parameters

limit?integer
page_token?string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/inboxes" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "inboxes": [
    {
      "inbox_id": "string",
      "human_user_id": "string",
      "provider": "google_oauth",
      "email_address": "string",
      "status": "pending_confirmation",
      "enable_semantic_search": true,
      "enable_deep_backfill": true,
      "last_synced_at": "2019-08-24T14:15:22Z",
      "confirmed_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}

Trigger Inbox Sync

POST
/human/v0/inboxes/{inbox_id}/sync

Path Parameters

inbox_id*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/inboxes/string/sync" \  -H "Authorization: string"
{
  "inbox_id": "string",
  "folders_processed": 0,
  "messages_processed": 0
}